gnutls_x509_dn_export(3)

NAME
gnutls_x509_dn_export - This function will export the DN

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_dn_export(gnutls_x509_dn_t dn, gnutls_x509_crt_fmt_t format, void * output_data, size_t * output_data_size);

ARGUMENTS

gnutls_x509_dn_t dn
    Holds the opaque DN object

gnutls_x509_crt_fmt_t format
    the format of output params. One of PEM or DER.

void * output_data
    will contain a DN PEM or DER encoded

size_t * output_data_size
    holds the size of output_data (and will be replaced by the actual size of parameters)

DESCRIPTION
This function will export the DN to DER or PEM format. If the buffer provided is not long enough to hold the output, then *output_data_size is updated and GNUTLS_E_SHORT_MEMORY_BUFFER will be returned. If the structure is PEM encoded, it will have a header of "BEGIN NAME".

RETURNS
On success, GNUTLS_E_SUCCESS is returned, otherwise a negative error value.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.